Page MenuHomeFreeBSD

Add USE_GITLAB documentation
ClosedPublic

Authored by ultima on Sep 6 2017, 9:02 PM.

Details

Reviewers
mat
Group Reviewers
Doc Committers
Commits
rD51456: * Add USE_GITLAB
Summary

Add USE_GITLAB documentation with examples

Reviewed by\: lifanov (mentor), matthew (mentor), docscommitter
Approved by\: lifanov (mentor), matthew (mentor), docscommitter
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ultima created this revision.Sep 6 2017, 9:02 PM
ultima updated this revision to Diff 32749.Sep 6 2017, 9:31 PM

Balance </sect 2> is buildable

As this is a commit against the docs repo, you don't need approval from Nikolai or me, but you will need approval from someone with a docs commit bit.

ultima added a comment.Sep 7 2017, 7:50 PM

As this is a commit against the docs repo, you don't need approval from Nikolai or me, but you will need approval from someone with a docs commit bit.

Ah, okay. I thought all commits required mentor approval, so this means only the case under the commit bit type.

ultima edited reviewers, added: Doc Committers; removed: lifanov, matthew.Sep 7 2017, 7:50 PM
ultima removed a subscriber: Doc Committers.
mat added a subscriber: matthew.Sep 8 2017, 2:27 PM

As this is a commit against the docs repo, you don't need approval from Nikolai or me, but you will need approval from someone with a docs commit bit.

Ah, okay. I thought all commits required mentor approval, so this means only the case under the commit bit type.

If you are being mentored, all commits require your mentors approval, wherever the commit goes.
This also requires some doc committer approval. I'll have a look at it next week. (As I will have a look at the USE_GITLAB changes you made, have not had time this week.)

ultima added a comment.Sep 8 2017, 5:14 PM
In D12261#254651, @mat wrote:

As this is a commit against the docs repo, you don't need approval from Nikolai or me, but you will need approval from someone with a docs commit bit.

Ah, okay. I thought all commits required mentor approval, so this means only the case under the commit bit type.

If you are being mentored, all commits require your mentors approval, wherever the commit goes.
This also requires some doc committer approval. I'll have a look at it next week. (As I will have a look at the USE_GITLAB changes you made, have not had time this week.)

Its no problem, take your time. This isn't a small change that is easily glanced at afterall.

mat added inline comments.Sep 21 2017, 1:55 PM
en_US.ISO8859-1/books/porters-handbook/makefiles/chapter.xml
2884 ↗(On Diff #32749)
​ <application>GitLab</application>, these variables are available for uses and

(and all other occurrences of Gitlab)

2886 ↗(On Diff #32749)

empty line between para and table.

2946–2948 ↗(On Diff #32749)

I wonder if there is a way to express the optionalliness (yes, I wrote it, so it exists) of those two directly in docbook. (but it is not important)

2954–2956 ↗(On Diff #32749)

the </table> and <example> should have the same indentation, but there is a good chance that it is phabricator being stupid.

2961 ↗(On Diff #32749)

maybe on gitlab.com it is kind of vague otherwise, the whole chapter is about Gitlab, one can assume you're going to talk about it.

2975 ↗(On Diff #32749)
xlink:href="https://gitlab.com">gitlab.com</link> and

(because it would probably be better to have a different way of saying Gitlab as an application, and gitlab.com, the web site.)

2987 ↗(On Diff #32749)

RFC 6761 describe domains names to be used in documentation, domains that are expected to not exist and the users know are for documentation purposes only.
You should probably use, something like <literal>http://git.example.com</literal> to make sure of that. (I added the literal for free 😉)

3007 ↗(On Diff #32749)
the date the commit to the &os; ports tree is made.</para>
3008–3009 ↗(On Diff #32749)

empty line between tip and note.

3026 ↗(On Diff #32749)
default distribution file is not fetched from a GitLab site.

(Because a default distribution is somewhat required, I know, you copied it from something I wrote, would be nice to fix it too 😇.)

Thanks for taking a look mat, trust me I'm not trying to mask the fact that some/part/most of the docs were copied then modified instead of created from scratch. These areas are still a bit above my skill level and it will definitely take some time before I get to the point of writing from zero.

I'v been a bit busy lately with interviewing / studying and such, will try and get to the corrections on the weekend, and also submit the correct for GitHub if I have the time.

mat added a comment.Sep 22 2017, 8:36 AM

Thanks for taking a look mat, trust me I'm not trying to mask the fact that some/part/most of the docs were copied then modified instead of created from scratch. These areas are still a bit above my skill level and it will definitely take some time before I get to the point of writing from zero.

Well, I would not have noticed you copied stuff if not for phabricator's little orange tab at the start of the line saying "copied from line xxx" :-)

I'v been a bit busy lately with interviewing / studying and such, will try and get to the corrections on the weekend, and also submit the correct for GitHub if I have the time.

Sure, no rush.

ultima updated this revision to Diff 33474.Sep 27 2017, 3:35 AM
ultima marked 9 inline comments as done.
  • Fixed various items
ultima added inline comments.Sep 27 2017, 3:36 AM
en_US.ISO8859-1/books/porters-handbook/makefiles/chapter.xml
2954–2956 ↗(On Diff #32749)

Looks like it was actually my mistake, fixed!

2987 ↗(On Diff #32749)

Good to know, example.com has been dubbed the example domain. RFC 6761 Bookmarked!

I'm pretty sure if you did charge I would be in debt for years. >.<

ultima added inline comments.Sep 27 2017, 3:45 AM
en_US.ISO8859-1/books/porters-handbook/makefiles/chapter.xml
3026 ↗(On Diff #32749)

The fix for GitHub is at D12512

mat accepted this revision.Feb 19 2018, 1:23 PM

I completely forgot about this.

This revision is now accepted and ready to land.Feb 19 2018, 1:23 PM
wblock added a subscriber: wblock.Mar 2 2018, 6:37 PM
wblock added inline comments.
en_US.ISO8859-1/books/porters-handbook/makefiles/chapter.xml
2885 ↗(On Diff #33474)

Should that be "available for use" or does it really mean USES?

Also, s/may/might/ (because "may" usually means permission, and "might" is when something has a probability).

ultima updated this revision to Diff 39908.Mar 3 2018, 6:58 AM
  • s/uses/use ; s/may/might/
This revision now requires review to proceed.Mar 3 2018, 6:58 AM
ultima marked an inline comment as done.Mar 3 2018, 7:00 AM
ultima added inline comments.
en_US.ISO8859-1/books/porters-handbook/makefiles/chapter.xml
2885 ↗(On Diff #33474)

Nice catch, I should have probably realized the uses sounded a bit off when I fixed it! >.<

This revision was not accepted when it landed; it landed in state Needs Review.Mar 3 2018, 7:03 AM
Closed by commit rD51456: * Add USE_GITLAB (authored by ultima). · Explain Why
This revision was automatically updated to reflect the committed changes.
ultima marked an inline comment as done.